;
; AutoIt Version: 3.0
; Language: English
; Platform: Win9x/NT
; Author: Samuel Murray (leuce@...)

; Script Function:
; Does a spell-check on the current segment in OmegaT using the
; spell-checker utility Kastrul. The same hotkey is used for both
; activating the spell-checker and returning to the OmegaT window,
; namely Ctrl+ENTER.

; System requirements:
; * OmegaT (from http://www.omegat.org/omegat/omegat.html)
; * Kastrul (from http://www.esaro.se/index2.php?start=kastrul.php)
; * A long word list from your language, set up as Kastrul's speller
; dictionary (read Kastrul's help file)

; Usage:
; Before running the script, the user should have both OmegaT and
; Kastrul already set up and running.

; The hotkey for exiting the script is Ctrl+Alt+X firmly.

HotKeySet("^!x", "MyExit")

; Let the script stay resident in memory and let the hotkey be active.
; When the hotkey is pressed, execute the SpellCheck function.

HotKeySet ("^{ENTER}", "SpellCheck")

While 1
Sleep (10000)
WEnd

; This is the SpellCheck function. If OmegaT is active, it performs the
; spell-check, but if Kastrul is active, it returns to OmegaT. The spell-
; check is done as follows: Select all, copy, go to Kastrul, and paste.

Func SpellCheck()

If WinActive ("OmegaT", "") Then

WinWaitActive ("OmegaT", "")
Send ("^a")
Send ("^c")
WinActivate ("Kastrul", "")
WinWaitActive ("Kastrul", "")
Sleep (100)
Send ("^v")

ElseIf WinActive ("Kastrul", "") Then

WinActivate("OmegaT", "")
WinWaitActive("OmegaT", "")

EndIf

EndFunc

; This is the script ending function.

Func MyExit()
Exit
EndFunc

Exit

